package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ExpandAssessEntryFactory
{
    private ExpandAssessEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.expandassess.IExpandAssessEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssessEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("AB85144F") ,com.kingdee.eas.custom.expandassess.IExpandAssessEntry.class);
    }
    
    public static com.kingdee.eas.custom.expandassess.IExpandAssessEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssessEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("AB85144F") ,com.kingdee.eas.custom.expandassess.IExpandAssessEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.expandassess.IExpandAssessEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssessEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("AB85144F"));
    }
    public static com.kingdee.eas.custom.expandassess.IExpandAssessEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssessEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("AB85144F"));
    }
}